Loading...
Searching...
No Matches
loop_over_children.cpp File Reference

Implements raptor::hibf::loop_over_children. More...

`#include <lemon/list_graph.h>`
`#include <seqan3/core/algorithm/detail/execution_handler_parallel.hpp>`
`#include <raptor/build/hibf/hierarchical_build.hpp>`
`#include <raptor/build/hibf/insert_into_ibf.hpp>`
`#include <raptor/build/hibf/loop_over_children.hpp>`
`#include <raptor/build/hibf/update_parent_kmers.hpp>`

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

template<seqan3::data_layout data_layout_mode>
void | raptor::hibf::loop_over_children (robin_hood::unordered_flat_set< size_t > &parent_kmers, seqan3::interleaved_bloom_filter<> &ibf, std::vector< int64_t > &ibf_positions, lemon::ListDigraph::Node const &current_node, build_data< data_layout_mode > &data, build_arguments const &arguments, bool is_root)
template void | raptor::hibf::loop_over_children< seqan3::data_layout::compressed > (robin_hood::unordered_flat_set< size_t > &, seqan3::interleaved_bloom_filter<> &, std::vector< int64_t > &, lemon::ListDigraph::Node const &, build_data< seqan3::data_layout::compressed > &, build_arguments const &, bool)
template void | raptor::hibf::loop_over_children< seqan3::data_layout::uncompressed > (robin_hood::unordered_flat_set< size_t > &, seqan3::interleaved_bloom_filter<> &, std::vector< int64_t > &, lemon::ListDigraph::Node const &, build_data< seqan3::data_layout::uncompressed > &, build_arguments const &, bool)

## Detailed Description

Implements raptor::hibf::loop_over_children.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>